import { AxiosRequestConfigExtend } from '../types';
declare type ContentType = 'application/x-www-form-urlencoded' | 'multipart/form-data' | 'application/json' | 'text/plain';
/**
 * 通用配置
 */
export declare function common(branch: `node-${string}`, config?: AxiosRequestConfigExtend): {
    request(method: any, contentType: ContentType, headers: Record<string, any>, parameters: any, ext?: any): Promise<any>;
};
export {};
